# Servicio de productos
### Introduccion
Creo un SpringCore Con el servicio de consultar productos con sus precios y todas las caracteristicas.
### Documentacion
### Files
- *Main.java* Clase Principal del programa  
- *IServicioProducto.java* Interfaz de producto  
- *Producto.java* Modelo del producto  
- *ServicioProducto.java* Clase para el control de los servicios del producto (ampliable en un futuro)  
- *beans.xml* Arvhivo que contiene los bean para la inyeccion de dependencias  
#### Dependencias importadas:
~~~
org.springframework id:spring-context v: 6.0.0
~~~

### Salida por pantalla
~~~
id=1
 nombre='pr1'
 descripcion='ds1'
 cantidad=100
 precio=3.2}
id=2
 nombre='pr2'
 descripcion='ds2'
 cantidad=200
 precio=3.3}
id=3
 nombre='pr3'
 descripcion='ds3'
 cantidad=300
 precio=3.4}
id=4
 nombre='pr4'
 descripcion='ds4'
 cantidad=400
 precio=3.5}

~~~
### Explicación de la Actividad

Por ahora, Solo crea y genera un producto a traves de un BEAN, donde se
inicializa un BEAN con el producto y lo utiliza.  
En el main hemos llamado ahora al producto a traves de la interfaz.
